org.h2.dev.util

## Class ThreadDumpFilter

- java.lang.Object
- - org.h2.dev.util.ThreadDumpFilter

    public class ThreadDumpFilter
    extends java.lang.Object

Filter full thread dumps from a log file.

### Constructor Summary

Constructors
Constructor and Description
`ThreadDumpFilter()`

### Method Summary

Methods
`static void` `main(java.lang.String... a)` Usage: java ThreadDumpFilter <log.txt >threadDump.txt

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadDumpFilter

    public ThreadDumpFilter()

### Method Detail

#### main

    public static void main(java.lang.String... a)
                     throws java.lang.Exception

Usage: java ThreadDumpFilter <log.txt >threadDump.txt

Parameters:
  `a` - the file name
Throws:
  `java.lang.Exception`